#pragma once
#include <map>
struct M_VipVolvoCFGData
{
	//编号
	int mID;
	//需要vip等级
	int mVipLevel;
	//类型
	int mtype;
	//任务内容
	std::string mTask;
	//完成条件类型
	int mCompleteType;
	//完成计数
	int mCompleteCount;
	//奖励物品ID
	std::vector<int> mAwardItemIDs;
	//奖励物品数量
	std::vector<int> mAwardItemCounts;
};

class M_VipVolvoCFG
{
public:
private:
	static std::auto_ptr<M_VipVolvoCFG> msSingleton;
public:
	int GetCount();
	const M_VipVolvoCFGData* GetData(int ID);
	const std::map<int, M_VipVolvoCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_VipVolvoCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_VipVolvoCFGData> mMapData;
};
